package com.xjrsoft.common.enums;

/**
 * 流程参数类型
 * @Author: tzx
 * @Date: 2022/9/27 11:18
 */
public enum WorkflowParamType {
    /**
     * 值
     */
    VALUE(0, "值"),
    /**
     * 变量
     */
    VAR(1, "变量"),

    /**
     * API
     */
    API(2, "API");

    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    WorkflowParamType(final int code, final String message) {
        this.code = code;
        this.value = message;
    }
}
